xine-lib: xine-lib-1.2.13/src/dxr3/ffmpeg_encoder.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions
ffmpeg_encoder.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <sys/ioctl.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <math.h>`
`#include "video_out_dxr3.h"`
`#include <libavcodec/avcodec.h>`
`#include <libavutil/mem.h>`
`#include "../combined/ffmpeg/ffmpeg_compat.h"`

## Data Structures
struct | lavc_data_s

## Macros
#define | LOG_MODULE "dxr3_mpeg_encoder"

## Typedefs
typedef struct lavc_data_s | lavc_data_t

## Functions
static int | lavc_on_update_format (dxr3_driver_t *drv, dxr3_frame_t *frame)
static int | lavc_on_display_frame (dxr3_driver_t *drv, dxr3_frame_t *frame)
static int | lavc_on_unneeded (dxr3_driver_t *drv)
static int | dxr3_lavc_close (dxr3_driver_t *drv)
int | dxr3_lavc_init (dxr3_driver_t *drv, plugin_node_t *plugin)
static int | lavc_prepare_frame (lavc_data_t *this, dxr3_driver_t *drv, dxr3_frame_t *frame)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "dxr3_mpeg_encoder"

## Typedef Documentation

## ◆ lavc_data_t

typedef struct lavc_data_s lavc_data_t

## Function Documentation

## ◆ dxr3_lavc_close()

static int dxr3_lavc_close | ( | dxr3_driver_t * | drv | ) |
| static

References dxr3_driver_s::enc, NULL, and encoder_data_s::on_unneeded.

Referenced by dxr3_lavc_init().

## ◆ dxr3_lavc_init()

int dxr3_lavc_init | ( | dxr3_driver_t * | drv,
|  | plugin_node_t * | plugin )

References dxr3_lavc_close(), dxr3_driver_s::enc, ENC_LAVC, lavc_on_display_frame(), lavc_on_unneeded(), lavc_on_update_format(), lprintf, NULL, and encoder_data_s::on_close.

Referenced by dxr3_vo_open_plugin().

## ◆ lavc_on_display_frame()

static int lavc_on_display_frame | ( | dxr3_driver_t * | drv,
|  | dxr3_frame_t * | frame )
| static

References vo_frame_s::bad_frame, dxr3_driver_s::class, DEFAULT_BUFFER_SIZE, dxr3_driver_s::enc, dxr3_driver_s::fd_video, vo_frame_s::free, lavc_prepare_frame(), lprintf, NULL, dxr3_frame_s::oheight, vo_frame_s::pitches, dxr3_frame_s::vo_frame, dxr3_driver_class_s::xine, XINE_VERBOSITY_LOG, and xprintf.

Referenced by dxr3_lavc_init().

## ◆ lavc_on_unneeded()

static int lavc_on_unneeded | ( | dxr3_driver_t * | drv | ) |
| static

References dxr3_driver_s::enc, lprintf, and NULL.

Referenced by dxr3_lavc_init().

## ◆ lavc_on_update_format()

static int lavc_on_update_format | ( | dxr3_driver_t * | drv,
|  | dxr3_frame_t * | frame )
| static

References _, dxr3_driver_s::class, xine_s::config, DEFAULT_BUFFER_SIZE, vo_frame_s::duration, dxr3_driver_s::enc, vo_frame_s::format, height, lprintf, NULL, dxr3_frame_s::oheight, vo_frame_s::pitches, config_values_s::register_bool, config_values_s::register_range, dxr3_frame_s::vo_frame, width, dxr3_driver_class_s::xine, XINE_IMGFMT_YUY2, XINE_VERBOSITY_LOG, and xprintf.

Referenced by dxr3_lavc_init().

## ◆ lavc_prepare_frame()

static int lavc_prepare_frame | ( | lavc_data_t * | this,
|  | dxr3_driver_t * | drv,
|  | dxr3_frame_t * | frame )
| static

References vo_frame_s::bad_frame, vo_frame_s::base, vo_frame_s::format, vo_frame_s::height, lprintf, vo_frame_s::pitches, dxr3_frame_s::real_base, dxr3_driver_s::top_bar, dxr3_frame_s::vo_frame, and XINE_IMGFMT_YUY2.

Referenced by lavc_on_display_frame().